Operations

Run hardware test

POST/v1/baremetal/{id}/hardware-test

Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.

Autorisations

  • Authorizationstringheaderobligatoire

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Permission requise : organization.baremetal.deploy

Paramètres de chemin

  • idstring<uuid>obligatoire

Corps

application/json
  • isCpuIncludedbooleanobligatoire
  • isMemoryIncludedbooleanobligatoire
  • isDiskIncludedbooleanobligatoire
  • isSmartIncludedbooleanobligatoire
  • cpuDurationSecondsinteger<int32> | null

    Limites :10 <= x <= 1800

  • memoryDurationSecondsinteger<int32> | null

    Limites :10 <= x <= 1800

  • diskDurationSecondsinteger<int32> | null

    Limites :10 <= x <= 1800

  • cpuWorkersinteger<int32> | null

    Limites :1 <= x <= 1024

  • memoryPercentinteger<int32> | null

    Limites :1 <= x <= 95

  • diskBlockSizestring | null

    Limites :pattern ^[1-9][0-9]{0,7}[kKmM]?$

  • diskIoDepthinteger<int32> | null

    Limites :1 <= x <= 256

Réponse

201 · application/json

Created

  • successbooleanobligatoire

    Valeurs autorisées :true

  • dataobject | nullobligatoire